ZIP_GET_NUM_FILES(3) | Library Functions Manual | ZIP_GET_NUM_FILES(3)

# NAME

`zip_get_num_files` —
get number of files in archive (obsolete interface)

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_get_num_files`(zip_t *archive);

# DESCRIPTION

This function is deprecated. Use zip_get_num_entries(3) instead.

The `zip_get_num_files`() function returns the number of files in archive.

# RETURN VALUES

`zip_get_num_files`() returns the number of files in the zip archive, or -1 if archive is `NULL`.

# SEE ALSO

libzip(3), zip_fopen_index(3), zip_stat_index(3)

# HISTORY

`zip_get_num_files`() was added in libzip 0.6. It was deprecated in libzip 0.11, use `zip_get_num_entries`(instead) instead.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35